# Method Image.NEO._decode()

Method _decode

  ``mapping` _decode(`string` `data`)`

Description

  Low level decoding of the NEO file contents in `data`.

Returns

  ``"image"` : `Image.Image`` | The decoded bitmap
  ``"images"` : `array`(`Image.Image`)` | Coler cycled images.
  ``"filename"` : `string`` | The filename stored into the file.
  ``"right_limit"` : `int(4bit)`` | The palette color range to be color cycled.
  ``"left_limit"` : `int(4bit)``
  ``"speed"` : `int(8bit)`` | The animation speed, expressed as the number of VBLs per animation frame.
  ``"direction"` : `string`` | Color cycling direction. Can be either `"left"` or `"right"`.
  ``"palette"` : `array`(`array`(`int(8bit)`))` | The palette to be used for color cycling.